Bug 1793889 - gasnet-2019.9.0-1.fc32 FTBFS: /usr/bin/ld: gasnet_tools.c:(.bss+0x4840): multiple definition of `gasnett_backtrace_user'; testgasnet.o:testgasnet.c:(.data.rel+0x50): first defined here
Summary: gasnet-2019.9.0-1.fc32 FTBFS: /usr/bin/ld: gasnet_tools.c:(.bss+0x4840): mult...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gasnet
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Junghans
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F32FTBFS GCC10
TreeView+ depends on / blocked
 
Reported: 2020-01-22 08:23 UTC by Petr Pisar
Modified: 2020-02-16 13:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-16 13:35:22 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Pisar 2020-01-22 08:23:51 UTC
gasnet-2019.9.0-1.fc32 fails to build in F32 with GCC 10:

/usr/bin/ld: /builddir/build/BUILD/GASNet-2019.9.0/serial/smp-conduit/libgasnet-smp-par.a(gasnet_tools.o): in function `$d':
gasnet_tools.c:(.bss+0x4840): multiple definition of `gasnett_backtrace_user'; testgasnet.o:testgasnet.c:(.data.rel+0x50): first defined here
collect2: error: ld returned 1 exit status
make[4]: *** [../tests/Makefile:421: testgasnet] Error 1

Comment 1 Christoph Junghans 2020-01-22 12:53:16 UTC
Reported upstream: https://upc-bugs.lbl.gov/bugzilla/show_bug.cgi?id=4035

Comment 2 Ben Cotton 2020-02-11 17:28:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 3 Fedora Release Engineering 2020-02-16 04:30:06 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 4 Christoph Junghans 2020-02-16 13:35:22 UTC
Workaround added to rawhide


Note You need to log in before you can comment on or make changes to this bug.